org.encog.neural.pattern

## Class RadialBasisPattern

- java.lang.Object
- - org.encog.neural.pattern.RadialBasisPattern

- All Implemented Interfaces:
    NeuralNetworkPattern

      public class RadialBasisPattern
      extends Object
      implements NeuralNetworkPattern

  A radial basis function (RBF) network uses several radial basis functions to provide a more dynamic hidden layer activation function than many other types of neural network. It consists of a input, output and hidden layer.
  Author:
    jheaton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadialBasisPattern()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHiddenLayer(int count)` Add the hidden layer, this should be called once, as a RBF has a single hidden layer.
    `void` | `clear()` Clear out any hidden neurons.
    `MLMethod` | `generate()` Generate the RBF network.
    `void` | `setActivationFunction(ActivationFunction activation)` Set the activation function, this is an error.
    `void` | `setInputNeurons(int count)` Set the number of input neurons.
    `void` | `setOutputNeurons(int count)` Set the number of output neurons.
    `void` | `setRBF(RBFEnum type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RadialBasisPattern

          public RadialBasisPattern()

  - ### Method Detail

    - #### addHiddenLayer

          public void addHiddenLayer(int count)

      Add the hidden layer, this should be called once, as a RBF has a single hidden layer.
      Specified by:
        `addHiddenLayer` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - The number of neurons in the hidden layer.

    - #### clear

          public void clear()

      Clear out any hidden neurons.
      Specified by:
        `clear` in interface `NeuralNetworkPattern`

    - #### generate

          public MLMethod generate()

      Generate the RBF network.
      Specified by:
        `generate` in interface `NeuralNetworkPattern`
      Returns:
        The neural network.

    - #### setActivationFunction

          public void setActivationFunction(ActivationFunction activation)

      Set the activation function, this is an error. The activation function may not be set on a RBF layer.
      Specified by:
        `setActivationFunction` in interface `NeuralNetworkPattern`
      Parameters:
        `activation` - The new activation function.

    - #### setInputNeurons

          public void setInputNeurons(int count)

      Set the number of input neurons.
      Specified by:
        `setInputNeurons` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - The number of input neurons.

    - #### setOutputNeurons

          public void setOutputNeurons(int count)

      Set the number of output neurons.
      Specified by:
        `setOutputNeurons` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - The number of output neurons.

    - #### setRBF

          public void setRBF(RBFEnum type)

Copyright © 2014. All Rights Reserved.